
function platformResolve(objName, nameSpace)
    nameSpace = nameSpace or _G
    local postFixes = { "" }

    if IsRunningOnPC() then
        postFixes = { "PC", "_PC", "" }
    elseif IsRunningOnXbox() or IsRunningOnPlaystation() then
        postFixes = { "Console", "CNSL", "_Console", "_CNSL", "" }
    end

    for _, pf in ipairs(postFixes) do
        local obj = nameSpace[objName .. pf]
        if obj then
            return obj
        end
    end

    return nil
end
